Create Payment Method
curl --request POST \
--url https://api.sellauth.com/v1/shops/{shopId}/payment-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "MANUAL",
"name": "tjqotbhpzwonwlzospqcs",
"checkout_name": "nssrciatkmatldznkaapj",
"icon_image_id": 6,
"label": "jqotbhpzwonwlzospqcsn",
"fixed_fee": 22,
"percentage_fee": 5,
"min_amount": 24,
"max_amount": 2,
"currency_override": "ia",
"hide_powered_by": false,
"is_active": true,
"settings": null,
"password": "Ie%pZx<Fwu_8tJ\\hz[DJ",
"otp": "ma",
"tfa_code": "rwuvlv",
"remember_mfa": true
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/payment-methods"
payload = {
"type": "MANUAL",
"name": "tjqotbhpzwonwlzospqcs",
"checkout_name": "nssrciatkmatldznkaapj",
"icon_image_id": 6,
"label": "jqotbhpzwonwlzospqcsn",
"fixed_fee": 22,
"percentage_fee": 5,
"min_amount": 24,
"max_amount": 2,
"currency_override": "ia",
"hide_powered_by": False,
"is_active": True,
"settings": None,
"password": "Ie%pZx<Fwu_8tJ\hz[DJ",
"otp": "ma",
"tfa_code": "rwuvlv",
"remember_mfa": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'MANUAL',
name: 'tjqotbhpzwonwlzospqcs',
checkout_name: 'nssrciatkmatldznkaapj',
icon_image_id: 6,
label: 'jqotbhpzwonwlzospqcsn',
fixed_fee: 22,
percentage_fee: 5,
min_amount: 24,
max_amount: 2,
currency_override: 'ia',
hide_powered_by: false,
is_active: true,
settings: null,
password: 'Ie%pZx<Fwu_8tJ\hz[DJ',
otp: 'ma',
tfa_code: 'rwuvlv',
remember_mfa: true
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/payment-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'MANUAL',
'name' => 'tjqotbhpzwonwlzospqcs',
'checkout_name' => 'nssrciatkmatldznkaapj',
'icon_image_id' => 6,
'label' => 'jqotbhpzwonwlzospqcsn',
'fixed_fee' => 22,
'percentage_fee' => 5,
'min_amount' => 24,
'max_amount' => 2,
'currency_override' => 'ia',
'hide_powered_by' => false,
'is_active' => true,
'settings' => null,
'password' => 'Ie%pZx<Fwu_8tJ\\hz[DJ',
'otp' => 'ma',
'tfa_code' => 'rwuvlv',
'remember_mfa' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/payment-methods"
payload := strings.NewReader("{\n \"type\": \"MANUAL\",\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"checkout_name\": \"nssrciatkmatldznkaapj\",\n \"icon_image_id\": 6,\n \"label\": \"jqotbhpzwonwlzospqcsn\",\n \"fixed_fee\": 22,\n \"percentage_fee\": 5,\n \"min_amount\": 24,\n \"max_amount\": 2,\n \"currency_override\": \"ia\",\n \"hide_powered_by\": false,\n \"is_active\": true,\n \"settings\": null,\n \"password\": \"Ie%pZx<Fwu_8tJ\\\\hz[DJ\",\n \"otp\": \"ma\",\n \"tfa_code\": \"rwuvlv\",\n \"remember_mfa\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sellauth.com/v1/shops/{shopId}/payment-methods")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"MANUAL\",\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"checkout_name\": \"nssrciatkmatldznkaapj\",\n \"icon_image_id\": 6,\n \"label\": \"jqotbhpzwonwlzospqcsn\",\n \"fixed_fee\": 22,\n \"percentage_fee\": 5,\n \"min_amount\": 24,\n \"max_amount\": 2,\n \"currency_override\": \"ia\",\n \"hide_powered_by\": false,\n \"is_active\": true,\n \"settings\": null,\n \"password\": \"Ie%pZx<Fwu_8tJ\\\\hz[DJ\",\n \"otp\": \"ma\",\n \"tfa_code\": \"rwuvlv\",\n \"remember_mfa\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/payment-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"MANUAL\",\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"checkout_name\": \"nssrciatkmatldznkaapj\",\n \"icon_image_id\": 6,\n \"label\": \"jqotbhpzwonwlzospqcsn\",\n \"fixed_fee\": 22,\n \"percentage_fee\": 5,\n \"min_amount\": 24,\n \"max_amount\": 2,\n \"currency_override\": \"ia\",\n \"hide_powered_by\": false,\n \"is_active\": true,\n \"settings\": null,\n \"password\": \"Ie%pZx<Fwu_8tJ\\\\hz[DJ\",\n \"otp\": \"ma\",\n \"tfa_code\": \"rwuvlv\",\n \"remember_mfa\": true\n}"
response = http.request(request)
puts response.read_bodyPayment Methods
Create Payment Method
Creates a new payment method.
POST
/
v1
/
shops
/
{shopId}
/
payment-methods
Create Payment Method
curl --request POST \
--url https://api.sellauth.com/v1/shops/{shopId}/payment-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "MANUAL",
"name": "tjqotbhpzwonwlzospqcs",
"checkout_name": "nssrciatkmatldznkaapj",
"icon_image_id": 6,
"label": "jqotbhpzwonwlzospqcsn",
"fixed_fee": 22,
"percentage_fee": 5,
"min_amount": 24,
"max_amount": 2,
"currency_override": "ia",
"hide_powered_by": false,
"is_active": true,
"settings": null,
"password": "Ie%pZx<Fwu_8tJ\\hz[DJ",
"otp": "ma",
"tfa_code": "rwuvlv",
"remember_mfa": true
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/payment-methods"
payload = {
"type": "MANUAL",
"name": "tjqotbhpzwonwlzospqcs",
"checkout_name": "nssrciatkmatldznkaapj",
"icon_image_id": 6,
"label": "jqotbhpzwonwlzospqcsn",
"fixed_fee": 22,
"percentage_fee": 5,
"min_amount": 24,
"max_amount": 2,
"currency_override": "ia",
"hide_powered_by": False,
"is_active": True,
"settings": None,
"password": "Ie%pZx<Fwu_8tJ\hz[DJ",
"otp": "ma",
"tfa_code": "rwuvlv",
"remember_mfa": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'MANUAL',
name: 'tjqotbhpzwonwlzospqcs',
checkout_name: 'nssrciatkmatldznkaapj',
icon_image_id: 6,
label: 'jqotbhpzwonwlzospqcsn',
fixed_fee: 22,
percentage_fee: 5,
min_amount: 24,
max_amount: 2,
currency_override: 'ia',
hide_powered_by: false,
is_active: true,
settings: null,
password: 'Ie%pZx<Fwu_8tJ\hz[DJ',
otp: 'ma',
tfa_code: 'rwuvlv',
remember_mfa: true
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/payment-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'MANUAL',
'name' => 'tjqotbhpzwonwlzospqcs',
'checkout_name' => 'nssrciatkmatldznkaapj',
'icon_image_id' => 6,
'label' => 'jqotbhpzwonwlzospqcsn',
'fixed_fee' => 22,
'percentage_fee' => 5,
'min_amount' => 24,
'max_amount' => 2,
'currency_override' => 'ia',
'hide_powered_by' => false,
'is_active' => true,
'settings' => null,
'password' => 'Ie%pZx<Fwu_8tJ\\hz[DJ',
'otp' => 'ma',
'tfa_code' => 'rwuvlv',
'remember_mfa' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/payment-methods"
payload := strings.NewReader("{\n \"type\": \"MANUAL\",\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"checkout_name\": \"nssrciatkmatldznkaapj\",\n \"icon_image_id\": 6,\n \"label\": \"jqotbhpzwonwlzospqcsn\",\n \"fixed_fee\": 22,\n \"percentage_fee\": 5,\n \"min_amount\": 24,\n \"max_amount\": 2,\n \"currency_override\": \"ia\",\n \"hide_powered_by\": false,\n \"is_active\": true,\n \"settings\": null,\n \"password\": \"Ie%pZx<Fwu_8tJ\\\\hz[DJ\",\n \"otp\": \"ma\",\n \"tfa_code\": \"rwuvlv\",\n \"remember_mfa\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sellauth.com/v1/shops/{shopId}/payment-methods")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"MANUAL\",\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"checkout_name\": \"nssrciatkmatldznkaapj\",\n \"icon_image_id\": 6,\n \"label\": \"jqotbhpzwonwlzospqcsn\",\n \"fixed_fee\": 22,\n \"percentage_fee\": 5,\n \"min_amount\": 24,\n \"max_amount\": 2,\n \"currency_override\": \"ia\",\n \"hide_powered_by\": false,\n \"is_active\": true,\n \"settings\": null,\n \"password\": \"Ie%pZx<Fwu_8tJ\\\\hz[DJ\",\n \"otp\": \"ma\",\n \"tfa_code\": \"rwuvlv\",\n \"remember_mfa\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/payment-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"MANUAL\",\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"checkout_name\": \"nssrciatkmatldznkaapj\",\n \"icon_image_id\": 6,\n \"label\": \"jqotbhpzwonwlzospqcsn\",\n \"fixed_fee\": 22,\n \"percentage_fee\": 5,\n \"min_amount\": 24,\n \"max_amount\": 2,\n \"currency_override\": \"ia\",\n \"hide_powered_by\": false,\n \"is_active\": true,\n \"settings\": null,\n \"password\": \"Ie%pZx<Fwu_8tJ\\\\hz[DJ\",\n \"otp\": \"ma\",\n \"tfa_code\": \"rwuvlv\",\n \"remember_mfa\": true\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Available options:
CUSTOMERBALANCE, BTC, LTC, ETH, ETH_USDT, ETH_USDC, SOL, SOL_USDT, SOL_USDC, PAYPAL, STRIPE, SQUARE, CASHAPP, VENMO, ZELLE, REWARBLE, PAYPALFF, AMAZONPS, SUMUP, MOLLIE, SKRILL, SKRILLP2P, WISEP2P, AUTHORIZENET, REVOLUTBUSINESS, LEMONSQUEEZY, NMI, OVERPAY, MONEI, RAZORPAY, MERCADOPAGO, PANDABASE, VENPAYR, MISTICPAY, OVGC, WHOP, DODOPAYMENTS, PAYMONGO, PLATEGA, SKINLOOP, SHOPIFY, MANUAL Example:
"MANUAL"
Response
200